*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}


/* *********************** NAV BAR */
.active{
  color: #b53c40 !important;
}


.nav-bar-container {
  /* position: sticky; */
  top: 0;
  z-index: 1000;
  width: 100%; /* full width karne ke liye */
  margin: 0; /* extra margin remove */
  padding: 0; /* extra padding remove */
  left: 0; /* left side chipkao */
  right: 0; /* right side chipkao */
  background: #fff; /* background dena zaroori hai */
}

.nav-bar{
  width: 1152px;
  margin: 0 auto;

  display: flex;
  align-items: center;
  gap: 80px;
}


nav .main-nav{
  height: 90px;
  display: flex;
  gap: 30px;
}

.logo{
  height: 90px;
}

nav ul{
  width: 100%;
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

nav li{
  height: 50px;
  
}

.main-nav li:last-child:hover{
  background-color: rgba(111, 111, 112, 0.212);
}

nav a{
  height: 100%;
  /* padding: 0 30px; */
  text-decoration: none;
  display: flex;
  align-items: center;
  /* color: black; */
  color: #003366;
  font-size: 20px;
}

nav a:hover {
  color: #b53c40;
}

nav li:first-child{
  margin-right: auto;
}



/* *************** SIDE BAR */
.sidebar{
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 300px;
  transition: right 1s ease;
  z-index: 999;
  /* backdrop-filter: blur(10px); */
  background-color: rgb(255, 255, 255);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  padding-left: 40px;
  border-radius: 12px;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  -ms-border-radius: 12px;
  -o-border-radius: 12px;
  -webkit-transition: right 1s ease;
  -moz-transition: right 1s ease;
  -ms-transition: right 1s ease;
  -o-transition: right 1s ease;
}

.sidebar li{
  width: 100%;
}

.sidebar a{
  width: 100%;
}

/* .sidebar a:hover{
  background-color: rgba(0, 0, 0, 0);
} */

.menu-btn{
  display: none;
}


/*************** NAV Dropdown */

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-btn {
  color: #003366;
  font-size: 20px;
  padding: 2px 0px;
  text-decoration: none;
  cursor: pointer;

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #fcfbfb;
  min-width: 200px;
  z-index: 1;
  margin: 0px 10px 0px 10px;
  text-align: center;
  border-radius: 10px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.5);
}

.dropdown-content a {
  color: #003366;
  padding: 10px 15px;
  text-decoration: none;
  display: block;
}

/* Show main dropdown on hover */
.dropdown:hover .dropdown-content {
  display: block;
}

/* Sub-dropdown setup */
.sub-dropdown {
  position: relative;
}

.sub-dropdown-content {
  display: none;
  position: absolute;
  top: 0;
  left: 100%;
  background-color: #fcfbfb;
  min-width: 180px;
  text-align: left;
  border-radius: 10px;
}

/* Show sub-dropdown on hover */
.sub-dropdown:hover .sub-dropdown-content {
  display: block;
}


/* ********************** SIDE NAV BAR LOGIN Portal */

/* Sidebar container */
.off-canvas-sidebar {
  position: fixed;
  top: 0;
  right: -320px;
  /*Hideinitially*/width: 300px;
  height: 35vh;
  background-color: #ffffff;
  box-shadow: -2px 0 5px rgba(0,0,0,0.2);
  z-index: 9999;
  transition: right 1s ease;
  padding: 20px;
  border-radius: 12px;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  -ms-border-radius: 12px;
  -o-border-radius: 12px;
  -webkit-transition: right 1s ease;
  -moz-transition: right 1s ease;
  -ms-transition: right 1s ease;
  -o-transition: right 1s ease;
}

/* Show sidebar when active */
.off-canvas-sidebar.active {
  right: 0;
}

.nav-bars-icon{
  cursor: pointer;
  width: 32px;
  height: 32px;
}

/* Close button */
.close-btn {
  position: absolute;
  top: 10px;
  left: 15px;
  font-size: 24px;
  color: #000000;
  background: none;
  border: none;
  cursor: pointer;
}

/* Sidebar content */
.sidebar-content {
  margin-top: 30px;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  
}

/* .sidebar-content h2 {
  margin-bottom: 20px;
  color: #333;
} */

.sidebar-btn {
  display: block;
  width: 200px;
  padding: 10px;
  margin: 20px 0;
  background-color: #f0ecec60;
  color: #003366;
  font-weight: 600;
  border: none;
  cursor: pointer;
  font-size: 20px;
  text-decoration: none;
  /* box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.082), 0 4px 4px 0 rgba(0, 0, 0, 0.055); */
  border-radius: 6px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
}

.sidebar-btn:hover{
  background-color: #fafafa;
}







/*<!-- ********************* HERO SECTION***************************** -->*/

.hero{
  height: 70vh;
  /* background-color: #003366; */
  background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("../assets/img/header\ img1.png") center/cover no-repeat; 
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 30px;
}

.hero h1{
  font-size: 40px;
  color: white;
}

.hero p{
  /* font-size: 18px; */
  color: white;
}

/*<!-- ********************* Grid SECTION***************************** -->*/

.grid{
  padding-top: 80px;
  padding-bottom: 80px;
}

.grid h1 {
  font-size: 64px;
  color: #003366;
  text-align: center;
  padding-bottom: 20px;

}

.grid p{
  font-size: 24px;
  color: #003366;
  text-align: center;
  padding-bottom: 80px;
}

.grid .cards{
  width: 1158px;
  margin: 0 auto;

  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px;
  padding-bottom: 40px;
}

.grid .cards .card-1{
  width: 370px;
  height: 570px;
  background-color: #DDE5ED;
  padding: 15px;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border-radius: 12px;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  -ms-border-radius: 12px;
  -o-border-radius: 12px;
}

.grid .cards .card-1 img{
  width: 340px;
  height: 270px;
  border-radius: 12px;
}

.grid .cards .card-1 h2{
  width: 339px;
  font-size: 25px;
}

.grid .cards .card-1 .time{
  font-size: 20px;
  color: #B53C40;
  align-items: center;
  display: flex;
}


.grid .cards .card-1 h3{
  font-size: 20px;
  color: #003366;
}

.grid .cards .card-1 .dicription{
  font-size: 20px;
  color: #003366;
}

.grid .cards .card-1 a {
  width: 106px;
  text-decoration: none;
  padding: 10px;
  color: #ffffff;
  font-size: 16px;
  background-color: #B53C40;
  border-radius: 14px;
  /* border-bottom: 1px solid #003366; */
  align-self: flex-end;
}

.grid .last-btn{
  color: white;
  text-decoration: none;
  padding: 16px;
  font-size: 20px;
  background-color: #B53C40;

  position: relative;
  text-align: center;
  border-radius: 12px;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  -ms-border-radius: 12px;
  -o-border-radius: 12px;
}

/* POP UP MODEL */

.popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.6);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 999;
}

.popup-content {
  position: relative;
  background: #ffffff23;
  padding: 0;
  border-radius: 10px;
  width: 95vw;   
  height: 95vh;  
  display: flex;
  justify-content: center;
  align-items: center;
}

.popup-content img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}


.close-btn {
  position: absolute;
  top: 8px;
  right: 12px;
  font-size: 40px;
  color: #000000;
  cursor: pointer;
}




/*<!-- ********************* SINGLE IMG SECTION***************************** -->*/

.single-img{
  width: 1440px;
  margin: 0 auto;

  display: flex;
  justify-content: center;
}


/* <!--**************************** FOOTER SEction**********************************  --> */

.size-5{
  width: 24px;
  height: 24px;
}

footer{
  background-color: #003366;
}

.data{
  width: 1156px;
  height: 336px;
  margin: 0 auto;
  padding-top: 60px;
  padding-bottom: 20px;
  display: flex;
  justify-content: space-evenly;
  /* align-items: center; */
}

footer .data .row-1{
  display: flex;
  flex-direction: column;
  gap: 20px;
}

footer .data .row-1 label {
  width: 199px;
  height: 24px;
  color: White;
  font-size: 18px;
  font-weight: bold;
}

footer .data .row-1 p{
  width: 261px;
  height: 138px;
  font-size: 16px;
  line-height: 1.3;
  color: white;
}

footer .data .row-1 .social-icons{
  display: flex;
  gap: 10px;
  /* justify-content: space-between; */
}

footer .data .row-1 .social-icons .f-icon{
  width: 24px;
  height: 24px;
  padding: 12px;
  color: white;
  background-color: #b53c40;
  cursor: pointer;
  border-radius: 22.5px;
  -webkit-border-radius: 22.5px;
  -moz-border-radius: 22.5px;
  -ms-border-radius: 22.5px;
  -o-border-radius: 22.5px;
}

footer .data .row{
  display: flex;
  flex-direction: column;
  gap: 20px;
}

footer .data .row h2{
  font-size: 18px;
  color: white;
}

footer .data .row li{
  list-style: none;
} 

footer .data .row li a{
  list-style: none;
  text-decoration: none;
  color: white;
  font-size: 15px;
}








/* **************************** RESPONSIVE */

@media(max-width: 1440px){

  /* Nav Bar */
  .nav-bar-container{
  width: auto;
  margin: 0 auto;
 }

 nav a{
  font-size: 20px;;
 }

 .dropdown-btn{
  font-size: 20px;
 }

 /* HERO */
 .hero{
  height: 70vh;
  background-size: cover;
  background-position: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 30px;
 }

 /* IMG */
 .single-img{
  width: 1200px;
  margin: 0 auto;

  display: flex;
  justify-content: center;
 }


 /* FOoter */
 footer .data{
  width: 1100px;
 }

}


@media(max-width: 1200px){

  /* Nav Bar */
  .nav-bar-container {
    /* width: 992px;
  height: 110px;
  margin: 0 auto; */
    max-width: 1200px; /* maximum width hogi */
    width: 100%; /* lekin chhoti screen par full width le lega */
    margin: 0 auto; /* center align karega */
    padding: 0 15px; /* thoda andar space de dega, optional */
    box-sizing: border-box;
  }


  .nav-bar{
    width:auto;
  }
 

 nav a{
  font-size: 16px;;
 }

 .dropdown-btn{
  font-size: 16px;
 }


 /* HERO */
 .hero{
  height: 70vh;
  background-size: cover;
  background-position: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 30px;
 }


 /* Grid */

 .grid .cards{
  width: 992px;
  margin: 0 auto;

  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  justify-content: center;
  padding-bottom: 40px;
 }


 .grid .cards .card-1{
  margin-left: 50px;
 }



 /* IMG */
 .single-img{
  width: 992px;
  margin: 0 auto;
  

  display: flex;
  justify-content: center;
 }

 .single-img img{
  width: 992px;
  
 }
 

 /* FOoter */
 footer .data{
  width: 892px;
 }

}


@media(max-width: 992px){

  /* Nav Bar */
  .nav-bar-container {
    /* width: 700px;
    margin: 0 auto; */
    max-width: 992px; /* maximum width hogi */
    width: 100%; /* lekin chhoti screen par full width le lega */
    margin: 0 auto; /* center align karega */
    padding: 0 15px; /* thoda andar space de dega, optional */
    box-sizing: border-box;
  }

   .nav-bar{
    width:700px;
    margin: 0 auto;
    
  }

  .hideonMobile{
    display: none;
  }

  .menu-btn{
    display: block;
  }

  .off-canvas-sidebar{
    display: none;
  }

  .nav-bars-icon{
    display: none;
  }

  .dropdown {
    display: none;
    /* margin-right: 300px; */
  }

  .dropdown-btn{
    padding-left: 0px;
  }

  .side{
    display: block;
  }


     /* HERO */
 .hero{
  height: 70vh;
  background-size: cover;
  background-position: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 30px;
 }

 .hero h1{
  font-size: 40px;
 }

 .hero p{
  font-size: 20px;
 }

 /* GRID */
 .grid h1{
  font-size: 52px;
 }

 .grid p{
  font-size: 20px;
 }
 
 .grid .cards{
  width: 768px;
  margin: 0 auto;

  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  justify-content: center;
  padding-bottom: 40px;
 }


 .grid .cards .card-1{
  margin-left: -5px;
 }



 /* IMG */
 .single-img{
  width: 768px;
  margin: 0 auto;
  

  display: flex;
  justify-content: center;
 }

 .single-img img{
  width: 768px;
  
 }
 
 

 

  /* FOoter */
 footer .data{
  width: 700px;
  height: auto;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  row-gap: 40px;
  padding-bottom: 40px;
  /* justify-content: space-between; */
 }

 
}


@media(max-width: 768px){
  /* Nav Bar */
  .nav-bar-container {
    max-width: 768px; /* maximum width hogi */
    width: 100%; /* lekin chhoti screen par full width le lega */
    margin: 0 auto; /* center align karega */
    padding: 0 15px; /* thoda andar space de dega, optional */
    box-sizing: border-box;
  }

  .sidebar{
    width: 100%;
  }

  .menu-btn{
    display: block;
  }

  .off-canvas-sidebar{
    display: none;
  }


  .nav-bar{
    width: 468px;
    margin: 0 auto;
    
  }

  .dropdown{
    margin-right: 150px;
  }




  /* HERO */
  .hero{
  height: 70vh;
  background-size: cover;
  background-position: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 10px;
 }


 /* GRID */
 .grid h1{
  font-size: 52px;
 }

 .grid p{
  font-size: 20px;
 }
 
 .grid .cards{
  width: 468px;
  margin: 0 auto;

  display: grid;
  grid-template-columns: 1fr;
  
 }


 .grid .cards .card-1{
  width: 450px;
  margin-left: 10px;
 }

 .grid .cards .card-1 img{
  width: 420px;
  height: 250px;
  
 }



 /* IMG */
 .single-img{
  width: 468px;
  margin: 0 auto;
  

  display: flex;
  justify-content: center;
 }

 .single-img img{
  width: 468px;
  
 }
  

 

  /* FOoter */
 footer .data{
  width: 468px;
  height: auto;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr 1fr;
  row-gap: 40px;
  padding-left: 10px;
  padding-bottom: 40px;
  /* justify-content: space-between; */
 }


}


@media(max-width: 468px) {
  /* Nav Bar */
  .nav-bar-container {
    /* width: 320px;
    margin: 0 auto; */
    max-width: 468px; /* maximum width hogi */
    width: 100%; /* lekin chhoti screen par full width le lega */
    margin: 0 auto; /* center align karega */
    padding: 0 15px; /* thoda andar space de dega, optional */
    box-sizing: border-box;
  }
  

  .nav-bar{
    width: 320px;
    margin: 0 auto;
    /* gap: 40px; */
  }

  nav .main-nav{
    gap: 0px;
  }

  .dropdown{
    margin-right: 50px;
  }


  .dropdown-content{
    min-width: 100px;
  }

  .dropdown-content a{
    font-size: 12px;
  }

  .sub-dropdown-content{
    min-width: 100px;
  }
 


/* HERO */
.hero{
  height: 70vh;
  background-size: cover;
  background-position: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
 }

 .hero h1{
  font-size: 25px;
  width: auto;
  text-align: center;
 }

 .hero p{
  font-size: 15px;
  width: auto;
  text-align: center;
 }

  .grid {
    overflow: hidden;
  }

  /* GRID */
  .grid h1,
  .grid p {
    width: 100%;
    max-width: 340px;
    margin: 0 auto;
    text-align: center;
  }

  .grid .cards {
    width: 100%;
    max-width: 345px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr; /* changed */
    overflow: hidden;
  }

  .grid .cards .card-1 {
    width: 100%;
    max-width: 320px;
    margin: 10px auto;
    justify-content: space-evenly;
  }

  .grid .cards .card-1 img {
    width: 100%;
    max-width: 290px;
    height: auto; /* better for responsive */
  }

  .grid .cards .card-1 h2,
  .grid .cards .card-1 h3,
  .grid .cards .card-1 .description{
    width: 100%;
    max-width: 300px;
    font-size: 16px;
  }

  .grid .cards .card-1 .time {
    font-size: 15px;
    color: #B53C40;
    display: flex;
    align-items: center;
  }

  






  /* IMG */
  .single-img {
    width: 100%;
    max-width: 365px;
    margin: 0 auto;
    overflow: hidden;
    display: flex;
    justify-content: center;
  }

  .single-img img {
    width: 100%;
    max-width: 320px;
  }
  


 /* FOoter */
  footer .data {
    width: 330px;
    height: auto;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 20px;
    padding-left: 10px;
    padding-bottom: 40px;
    padding-top: 20px;
    /* justify-content: space-between; */
  }


  footer .data .row-1 p{
    height: 60px ;
  }

}
